<?php

namespace app\admin\validate\medical;

use think\Validate;

class SalesmanValidate extends Validate
{
    protected $rule = [
        'salesman_id' => 'require|integer',
        'salesman_shop_id' => 'require|integer',
        'salesman_name' => 'require|chsDash',
        'salesman_username' => 'require|alphaDash',
        'salesman_password' => 'require|alphaDash',
        'salesman_phone' => 'require|mobile',
        'salesman_status' => 'require|in:0,1'
    ];

    protected $message = [];

    protected $scene = [
        'add' => ['salesman_shop_id', 'salesman_name', 'salesman_username', 'salesman_password',
            'salesman_phone', 'salesman_status'],
        'update' => ['salesman_id', 'salesman_shop_id', 'salesman_name', 'salesman_username', 'salesman_password',
            'salesman_phone', 'salesman_status'],
    ];
}